%define bname xkbcommon
%define name lib%{bname}
%define version 0.1.0
%define date 20120220
%define pkgrel 2
%define rel 0.%{date}.%{pkgrel}
%define release %mkrel %{rel}
%define distname %{name}-%{date}

%define major 0
%define libname %mklibname %{bname} %{major}
%define libname_devel %mklibname %{bname} -d

Summary:	XKB API common to servers and clients	
Name:		%{name}
Version:	%{version}
Release:	%{release}
# DATE=$(git show -s --pretty=%ai | awk '{ gsub("-", "", $1); print $1 }'); NAME=libxkbcommon-$DATE ; git archive --format=tar.gz --prefix=$NAME/ HEAD > $NAME.tar.gz
Source0:	%{distname}.tar.gz
License:	MIT
Group:		System/Libraries
Url:		http://cgit.freedesktop.org/xorg/lib/libxkbcommon/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(kbproto)
# to auto-detect XKB config root
BuildRequires:	x11-data-xkbdata

%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%prep
%setup -q -n %{distname}

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libname_devel}
%{_includedir}/%{bname}/%{bname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{bname}.pc


%changelog

* Fri Mar 02 2012 blino <blino> 0.1.0-0.20120220.2.mga2
+ Revision: 216701
- buildrequire x11-data-xkbdata to properly detect XKB config root

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.1.mga2
+ Revision: 216357
- fix libname

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.mga2
+ Revision: 216280
- buildrequires flex
- buildrequires xproto and kbproto
- buildrequires bison
- initial release
- Created package structure for libxkbcommon.

